GEThttps://api.breeze.blue/v1/generation-jobs/{generation_job_id}

Get generation job

Get the status and result metadata for an asynchronous text-to-speech job.

Authentication

API key: Send your Breeze Developer API key with the xi-api-key header.

Headers

FieldTypeDescription
xi-api-keyrequiredstringYour Breeze Developer API key. See authentication.

Path parameters

FieldTypeDescription
generation_job_idrequiredstringGeneration job identifier returned by async text-to-speech.

Example request

python import os from breeze_blue import BreezeBlue client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"]) job = client.generation_jobs.get("job_01hasync") print(job["status"]) typescript import { BreezeBlueClient } from "@breeze.blue/sdk"; const client = new BreezeBlueClient({ apiKey: process.env.BREEZE_API_KEY!, }); const job = await client.generationJobs.get("job_01hasync"); console.log(job.status); curl curl "https://api.breeze.blue/v1/generation-jobs/job_01hasync" \ -H "xi-api-key: $BREEZE_API_KEY"
import os

from breeze_blue import BreezeBlue

client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

job = client.generation_jobs.get("job_01hasync")

print(job["status"])

Response

Generation job.

Content types: application/json

Response headers:

  • x-breeze-api-key-id: Public API key identifier used to authenticate the request, when an API key was used.
{
  "generation_job_id": "job_01hasync",
  "history_item_id": "hist_01haudio",
  "status": "active",
  "state": "string",
  "source": "string",
  "voice_id": "voc_xeh3w54cqvnp",
  "voice_name": "Example",
  "voice_category": "string",
  "model_id": "model_id_01h",
  "text": "Hello from Breeze Blue.",
  "content_type": "audio/mpeg",
  "download_url": "https://example.com/audio.mp3",
  "created_at": "2026-04-02T10:15:30Z",
  "completed_at": "string",
  "date_unix": 1,
  "error": {
    "code": "string",
    "detail": "string"
  }
}

Errors

  • RESOURCE_NOT_FOUNDThe generation job does not exist or is not accessible.

See the full list on errors.